classification
Title: Add link from os.urandom to random.SystemRandom
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jacek.Bzdak, Ramchandra Apte, asvetlov, christian.heimes, docs@python, louiscipher, mikehoy, python-dev
Priority: normal Keywords: easy

Created on 2012-09-12 22:09 by Jacek.Bzdak, last changed 2012-10-16 10:53 by python-dev. This issue is now closed.

Messages (8)
msg170423 - (view) Author: Jacek Bzdak (Jacek.Bzdak) Date: 2012-09-12 22:09
It would be great if one sentence was added to os.urandom description: 
"For easy to use interface to system randomness please see random.SystemRandom class". 

The reason for this change is that many references quote only os.urandom as a cryptographically strong randomeness source in python, and for some people it might be not obvious that there already exists such easy to use api to use cryptographically strong randomness (that is random.SystemRandom class). It would be good to point such people to right class. 

Myself for example spent last hour trying to create makeshift Random subclass that uses os.urandom as it's randomness source.
msg172847 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-10-14 05:01
It should also mention that os.urandom is a low-level interface.
msg172946 - (view) Author: Bryce Verdier (louiscipher) Date: 2012-10-15 06:11
Ramchandra,

doesn't the description of os.urandom already imply that it's a low-level interface? Or are you saying that you want this to be explicitly stated?


I would also like to work on this bug
msg172971 - (view) Author: Ramchandra Apte (Ramchandra Apte) * Date: 2012-10-15 14:03
@Bryce
Retract that message.
msg173024 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-16 10:15
New changeset 0a0b890508d3 by Andrew Svetlov in branch '3.3':
Issue #15936: Add link from os.urandom to random.SystemRandom
http://hg.python.org/cpython/rev/0a0b890508d3

New changeset 34c2bb737364 by Andrew Svetlov in branch 'default':
Merge issue #15936: Add link from os.urandom to random.SystemRandom
http://hg.python.org/cpython/rev/34c2bb737364
msg173025 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-16 10:23
New changeset 2bff4969b65b by Andrew Svetlov in branch '2.7':
Issue #15936: Add link from os.urandom to random.SystemRandom
http://hg.python.org/cpython/rev/2bff4969b65b
msg173026 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-16 10:23
Fixed. Thanks.
msg173027 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-16 10:53
New changeset c1f27cf0cc9d by Andrew Svetlov in branch '2.7':
Issue #15936: Reformat text for os.random to follow Larry Hastings suggestion
http://hg.python.org/cpython/rev/c1f27cf0cc9d

New changeset da8155ccf70b by Andrew Svetlov in branch '3.3':
Issue #15936: Reformat text for os.random to follow Larry Hastings suggestion
http://hg.python.org/cpython/rev/da8155ccf70b

New changeset bd3647e9ac62 by Andrew Svetlov in branch 'default':
Merge issue #15936: Reformat text for os.random to follow Larry Hastings suggestion
http://hg.python.org/cpython/rev/bd3647e9ac62
History
Date User Action Args
2012-10-16 10:53:04python-devsetmessages: + msg173027
2012-10-16 10:23:57asvetlovsetstatus: open -> closed

nosy: + asvetlov
messages: + msg173026

resolution: fixed
stage: needs patch -> resolved
2012-10-16 10:23:24python-devsetmessages: + msg173025
2012-10-16 10:15:49python-devsetnosy: + python-dev
messages: + msg173024
2012-10-15 14:03:53Ramchandra Aptesetmessages: + msg172971
2012-10-15 06:11:49louisciphersetnosy: + louiscipher
messages: + msg172946
2012-10-14 05:01:14Ramchandra Aptesetnosy: + Ramchandra Apte
messages: + msg172847
2012-10-13 22:57:46chris.jerdoneksetnosy: + christian.heimes
2012-10-13 10:11:10mikehoysetnosy: + mikehoy
2012-10-12 17:56:12petri.lehtinensetkeywords: + easy
stage: needs patch
versions: + Python 3.3, Python 3.4
2012-09-12 22:09:02Jacek.Bzdakcreate